## org.apache.http.auth
Interface AuthSchemeFactory

All Known Implementing Classes:
  BasicSchemeFactory, DigestSchemeFactory, NegotiateSchemeFactory, NTLMSchemeFactory

    public interface AuthSchemeFactory

Factory for `AuthScheme` implementations.

Since:
  4.0

Method Summary
`AuthScheme` `newInstance(HttpParams params)` Creates an instance of `AuthScheme` using given HTTP parameters.

Method Detail

### newInstance

    AuthScheme newInstance(HttpParams params)

  Creates an instance of `AuthScheme` using given HTTP parameters.

  Parameters:
    `params` - HTTP parameters.
  Returns:
    auth scheme.

Copyright © 1999-2012 The Apache Software Foundation. All Rights Reserved.